Bug 428210 - d-feet random bugs / feature requests
d-feet random bugs / feature requests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: d-feet (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 17:45 EST by David Zeuthen
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2008-01-09 17:45:37 EST
This is against d-feet 0.1.8 in Rawhide

 - when looking at org.fd.Hal on the system bus I get this

ERROR:dbus.proxies:Introspect error on
org.freedesktop.Hal:/org/freedesktop/Hal/devices/DVD_GCC4244:
dbus.exceptions.DBusException: org.freedesktop.Hal.NoSuchDevice: No device with
id /org/freedesktop/Hal/devices/DVD_GCC4244
org.freedesktop.Hal.NoSuchDevice: No device with id
/org/freedesktop/Hal/devices/DVD_GCC4244

 not sure we're doing anything wrong here; the object path is funny though; it
contains a single '/':
/org/freedesktop/Hal/devices/storage_model_CDRW/DVD_GCC4244. Notably you're
missing the 'storage_model_CDRW/' element.

 - would be nice to show services that can be actived; right now I have to do this

    dbus-send --system --dest=org.freedesktop.PolicyKit /
org.freedesktop.DBus.Introspectable.Introspect

 to be able to execute methods on the PolicyKit service. Should probably use
 another icon to show a name is activatable (not sure that's a real word)
 but just not claimed by any process right now.

 - When executing a method against org.freedesktop.PolicyKit the service decides
to kill itself after some time. That's fine, it's per design. However, before
that happens I brought up the Execute Method window. As output I get this
"org.freedesktop.DBus.Error.ServiceUnknown: The name :1.279 was not provided by
any .service files". Suggestion You shouldn't use the (cached) unique name when
I've selected a well-known name.

 - The execute method window needs a little bit of work

   http://people.freedesktop.org/~david/d-feet-not-enough-room.png

   - Need line wrapping for the signature (first line)

   - The "(in python syntax)" hint could be more helpful; I actually
     had to guess a few times what to put there. Not sure _how_ it could
     be more helpful without an example (in a smaller font + italics just
     like in NM

http://people.freedesktop.org/~david/Screenshot-Create%20VPN%20connection.png

     I don't know.

   - Would be nice s/Close/_Close/ and s/Execute/_Execute/. The former should
probably use a stock button anyway.

That's it for now.
Comment 1 David Zeuthen 2008-01-09 18:00:20 EST
(In reply to comment #0)
>  - when looking at org.fd.Hal on the system bus I get this
> 
> ERROR:dbus.proxies:Introspect error on
> org.freedesktop.Hal:/org/freedesktop/Hal/devices/DVD_GCC4244:
> dbus.exceptions.DBusException: org.freedesktop.Hal.NoSuchDevice: No device with
> id /org/freedesktop/Hal/devices/DVD_GCC4244
> org.freedesktop.Hal.NoSuchDevice: No device with id
> /org/freedesktop/Hal/devices/DVD_GCC4244
> 
>  not sure we're doing anything wrong here; the object path is funny though; it
> contains a single '/':
> /org/freedesktop/Hal/devices/storage_model_CDRW/DVD_GCC4244. Notably you're
> missing the 'storage_model_CDRW/' element.

Thinking more about it's probably a hal bug. Will fix. Please ignore.
Comment 2 John (J5) Palmieri 2008-01-10 09:43:38 EST
(In reply to comment #0)

> This is against d-feet 0.1.8 in Rawhide
> 

>  - would be nice to show services that can be actived; right now I have to do this

Should be easy enough to do.  I think we added a call to get the names of
activatable services.
 
>  - When executing a method against org.freedesktop.PolicyKit the service decides
> to kill itself after some time. That's fine, it's per design. However, before
> that happens I brought up the Execute Method window. As output I get this
> "org.freedesktop.DBus.Error.ServiceUnknown: The name :1.279 was not provided by
> any .service files". Suggestion You shouldn't use the (cached) unique name when
> I've selected a well-known name.

Easy enough I think.

>  - The execute method window needs a little bit of work
> 
>    http://people.freedesktop.org/~david/d-feet-not-enough-room.png
> 
>    - Need line wrapping for the signature (first line)
> 
>    - The "(in python syntax)" hint could be more helpful; I actually
>      had to guess a few times what to put there. Not sure _how_ it could
>      be more helpful without an example (in a smaller font + italics just
>      like in NM
> 
> http://people.freedesktop.org/~david/Screenshot-Create%20VPN%20connection.png
> 
>      I don't know.

That was just a quick one off to get it working.  Now that I have full type
support I'm going to switch that into a listview where each row has a type,
varname and editable value column .  Complextypes need some thinking though.

>    - Would be nice s/Close/_Close/ and s/Execute/_Execute/. The former should
> probably use a stock button anyway.
> 

I had problems with the stock button showing up but I was most likely doing
something wrong.  In any case this should be easy to fix.

Thanks for the input.  Send more as you use it.
Comment 3 Bug Zapper 2008-05-14 00:21:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:21:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:36:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.